<?php require(PICOLO_CORE . 'libs/picoloFacebook.php'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf8" />
            <title>Configuration</title>
            <style type="text/css">
            <?php echo $default_css; ?>
            </style>
        </head>

        <body id="config">
        <div id="global">
            <h1>Configuration - Picoloblog <?php echo $pb->version; ?></h1>
            <div id="content">
            <dl class="tips">
                <dt>Saviez-vous que vous pouvez changer le style de votre Picoloblog ?</dt>
                <dd>Modifiez simplement le fichier nommé <em>userstyle.css</em> dans votre répertoire <em>template</em> :)</dd>
            </dl>
            <form method="post" action="">
            <fieldset>
                <legend>Informations du blog</legend>
                <dl>
                    <dt>Titre</dt>
                    <dd><input type="text" name="title" value="<?php echo htmlspecialchars($pb->title); ?>" /></dd>
                    <dt>Description (xHTML possible)</dt>
                    <dd><input type="text" name="desc" value="<?php echo htmlspecialchars($pb->desc); ?>" /></dd>
                </dl>
            </fieldset>

            <fieldset>
                <legend>Langue</legend>
                <dl>
                    <dt>Langage (par ex. en_GB ou fr_FR)</dt>
                    <dd><input type="text" maxlength="5" name="locale" value="<?php echo htmlspecialchars($pb->locale); ?>" /></dd>
                    <dt>format de date (au format <a href="http://php.net/strftime">strftime</a>)</dt>
                    <dd><input type="text" name="date_format" value="<?php echo htmlspecialchars($pb->date_format); ?>" /></dd>
                </dl>
            </fieldset>

            <fieldset>
                <legend>Préférences</legend>
                <dl>
                    <dt>Nombre de billets par page</dt>
                    <dd><input type="text" maxlength="3" name="bypage" value="<?php echo (int) $pb->bypage; ?>" /></dd>
                    <dt>Ordre des billets</dt>
                    <dd>
                        <label><input type="radio" name="reverse_order" value="0" <?php echo (!$pb->reverse_order ? 'checked="checked"' : ''); ?> /> Les plus anciens en premier</label><br />
                        <label><input type="radio" name="reverse_order" value="1" <?php echo ($pb->reverse_order ? 'checked="checked"' : ''); ?> /> <strong>Ordre inversé : </strong>les nouveaux en premier</label>
                    </dd>
		    <dt>Barre d'outils</dt>
		    <dd>
			<label><input type="radio" name="toolbar" value="1" <?php echo ($pb->toolbar ? 'checked="checked"' : ''); ?> />Ajouter une barre d'outils facilitant l'écriture</label> <br />
			<label><input type="radio" name="toolbar" value="0" <?php echo (!$pb->toolbar ? 'checked="checked"' : ''); ?> />Non merci</label> 
		    </dd>
                </dl>
            </fieldset>

            <fieldset>
                <legend>Informations de connexion</legend>
                <dl>
                    <dt>Identifiant</dt>
                    <dd><input type="text" name="user_login" value="<?php echo htmlspecialchars($pb->user_login); ?>" /></dd>
                    <dt>Mot de passe</dt>
                    <dd><input type="text" name="user_password" value="<?php echo htmlspecialchars($pb->user_password); ?>" /></dd>
		    <dt>Bookmarklet</dt>
		    <dd>Placez ce lien dans vos signets : <a href="javascript:setTimeout('p.focus();',500);p=window.open('<?php echo $pb->getUrl(); ?>index.php?edit&selection='+document.getSelection(), 'Picoloblog','height=510,width=550,location=no,menubar=no,status=no,toolbar=no');void void 0">Picoloblog</a></dd>
                </dl>
            </fieldset>

	    <fieldset>
		<legend>Réseaux sociaux</legend>
		<dl>
		     <dt>ID de l'application</dt>
		     <dd><input type="text" name="fb_api_id" value="<?php echo htmlspecialchars($pb->fb_api_id); ?>" /></dd>
		     <dt>Clé secrète</dt>
		     <dd><input type="text" name="fb_secret_key" value="<?php echo htmlspecialchars($pb->fb_secret_key); ?>" /></dd>
		     <dt>Jeton d'accès</dt>
		     <dd>
			<a href="<?php echo facebookPermissionLink($pb->fb_api_id, $pb->fb_secret_key); ?>" title="">Cliquer ici pour l'obtenir</a><input type="text" name="fb_access_token" value="<?php if(isset($_GET['code'])) echo getAccessKey($pb->fb_api_id, $pb->fb_secret_key); else echo htmlspecialchars($pb->fb_access_token); ?>" /></dd>
		     <dt>Clé de l'application</dt>
		     <dd><input type="text" name="tw_consumer_key" value="<?php echo htmlspecialchars($pb->tw_consumer_key); ?>" /></dd>
		     <dt>Clé secrète de l'application</dt>
		     <dd><input type="text" name="tw_consumer_secret" value="<?php echo htmlspecialchars($pb->tw_consumer_secret); ?>" /></dd>
		     <dt>Jeton de l'utilisateur</dt>
		     <dd><input type="text" name="tw_user_token" value="<?php echo htmlspecialchars($pb->tw_user_token); ?>" /></dd>
		     <dt>Clé secrète de l'utilisateur</dt>
		     <dd><input type="text" name="tw_user_secret" value="<?php echo htmlspecialchars($pb->tw_user_secret); ?>" /></dd>
		     <dt>Identifiant</dt>
		     <dd><input type="text" name="sn_id" value="<?php echo htmlspecialchars($pb->sn_id); ?>" /></dd>
		     <dt>Mot de passe</dt>
		     <dd><input type="text" name="sn_password" value="<?php echo htmlspecialchars($pb->sn_password); ?>" /></dd>
		</dl>
	    </fieldset>
            <p><input type="submit" name="save" value="Enregistrer" /></p>
            </form>
            </div>
        </div>
        </body>
        </html>
