<?php

class picoloBlog
{
    // The file containing the datas
    public $file = 'datas.php';

    // Number of entries to display per page
    public $bypage = 20;

    // Reversed order ?
    public $reverse_order = true;

    // Blog title
    public $title = 'Mon Picoloblog';

    // Blog description
    public $desc = 'Encore un blog inutile !';

    // Blog locale
    public $locale = 'fr_FR';
    public $date_format = 'À %Hh%M le %d/%m/%Y';

    // Blog url (leave empty to autodetect)
    public $url = '';

    // User login
    public $user_login = 'admin';
    public $user_password = 'abcd';

    private $datas = array();
    public $version = '1.0.4 beta';

    public function __construct()
    {
        $this->file = PICOLO_DATAS . $this->file;
        if (empty($this->url))
            $this->url = $this->getUrl();
    }

    public function login($login, $password)
    {
        if ($login != $this->user_login || $password != $this->user_password)
            return false;

        @session_start();
        $_SESSION['logged'] = true;
        return true;
    }

    public function logout()
    {
        @session_start();
        $_SESSION = array();
    }

    public function isLogged()
    {
        @session_start();
        if (!empty($_SESSION['logged']))
            return true;

        return false;
    }

    public function getUrl()
    {
        if (!empty($this->url))
            return $this->url;

        $url = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
        $url = preg_replace('/([?&].*)$/', '', $url);
        return $url;
    }

   public function formatText($text)
   {
        $text = preg_replace('#(^|\s)([a-z]+://([^\s\w/]?[\w/])*)(\s|$)#im', '\\1<a href="\\2">\\2</a>\\4', $text);
        $text = preg_replace('#(^|\s)wp:?([a-z]{2}|):([\w]+)#im', '\\1<a href="http://\\2.wikipedia.org/wiki/\\3">\\3</a>', $text);
        $text = str_replace('http://.wikipedia.org/wiki/', 'http://fr.wikipedia.org/wiki/', $text);
        $text = str_replace('\wp:', 'wp:', $text);
        $text = str_replace('\http:', 'http:', $text);
        $text = nl2br($text);

        return $text;
    }

    public function loadDatas()
    {
        if (file_exists($this->file))
        {
            require_once $this->file;

            if (!isset($datas) || !is_array($datas))
                return false;

            $this->datas = $datas;
            unset($datas);

            $this->sortDatas();
            return true;
        }
        return false;
    }

    public function sortDatas()
    {
        if ($this->reverse_order)
            krsort($this->datas);
        else
            ksort($this->datas);
    }

    public function writeDatas()
    {
        $out = "<?php \$datas = array(\n";

        foreach ($this->datas as $id => $text)
        {
            $text = strtr($text, array('$' => '\\$', '"' => '\\"'));
            $out .= '"'.(int)$id.'" => "'.$text."\",\n";
        }

        $out.= '); ?>';

        if (!@file_put_contents($this->file, $out))
            return false;

        return true;
    }

    public function getEntry($id)
    {
        if (!isset($this->datas[$id]))
            return false;

        return $this->datas[$id];
    }

    public function getList($begin=0)
    {
        $list = array_slice($this->datas, $begin, $this->bypage, true);
        return $list;
    }

    public function getSearch($query)
    {
	foreach($this->datas as $key => $val)
	{
		if(stripos($val, $query))
			$search[$key] = $val;
	
	}
	if(!empty($search))
		$list = $search;
	else 
		$list = false;
	return $list;
	
    }

    public function editEntry($id, $text)
    {
        $this->datas[(int)$id] = $text;
    }

    public function deleteEntry($id)
    {
        unset($this->datas[(int)$id]);
    }

    public function getPagination()
    {
        if (count($this->datas) <= $this->bypage)
            return false;

        $pages = ceil(count($this->datas) / $this->bypage);
        return $pages;
    }
}
?>
