<?php

if (phpversion() < 5)
{
    die("Argh vous n'avez pas PHP 5 ! Installez-le maintenant !");
}

error_reporting(E_ALL);

// Contre les mauvaises configurations
if (get_magic_quotes_gpc())
{
    foreach ($_POST as $k=>$v)
    {
        $_POST[$k] = stripslashes($v);
    }
}

// Quelques constantes
define("PICOLO_ROOT", "./");
define("PICOLO_CORE", PICOLO_ROOT . "core/");
define("PICOLO_ADMIN", PICOLO_CORE . "admin/");
define("PICOLO_DATAS", PICOLO_ROOT . "datas/");
define("PICOLO_THEME", PICOLO_ROOT . "theme/");
define("PICOLO_PLUGINS", PICOLO_ROOT . "plugins/");

#// Chargement des classes nécessaires
include(PICOLO_CORE . "picoloBlog.php");
include(PICOLO_CORE . "picoloConf.php");

$pb = new picoloBlog;
$pc = new picoloConf;

// Procédure d'installation
if (!$pb->loadDatas()){
	include(PICOLO_ROOT . "install.php");
	exit;
}

// Chargement de la configuration utilisateur
$url = str_replace("index.php","",$pb->getUrl());
if(file_exists(PICOLO_DATAS . "userconfig.php")){
    require_once PICOLO_DATAS . "userconfig.php";    
    $default_css = " @import url('" . $url . "theme/userstyle.css'); ";
}
else
	$default_css = " @import url('" . $url . "core/userstyle.css'); ";

// For translating things
setlocale(LC_TIME, $pb->locale);

///////// PAGES ///////// (seulement si je suis dans le Picoloblog)

if(!defined("FROM_EXTERNAL") || !FROM_EXTERNAL){

    // Processus d'identification
    if(isset($_GET["login"])){
        if($pb->login($_POST["login"], $_POST["password"])){
            header("Location: " . $pb->getUrl());
            exit;
        }
        die("Connexion échouée !");
    }

	
    // Déconnexion
    elseif(isset($_GET["logout"])){
        $pb->logout();
        header("Location: " . $pb->getUrl());
        exit;
    }

     // Panneau de configuration
    elseif(isset($_GET["config"]) AND $pb->isLogged()){
        if(isset($_POST["save"])){

	    $datas = $pc->save();

            if (!$pc->write($datas))
                die("Impossible d'écrire dans " . $pc->file);

            header("Location: " . $pb->getUrl());
            exit;
        }

	include(PICOLO_ADMIN . "config.php");
	exit;

     }

    // Supprimer une entrée
    elseif(isset($_GET["delete"]) AND $pb->isLogged()){
        $pb->deleteEntry($_GET["delete"]);
        if (!$pb->writeDatas())
            die("Impossible d'écrire dans  " . $pb->file);

        header("Location: " . $pb->getUrl());
        exit;
    }

    // Éditer une entrée
    elseif(isset($_GET["edit"]) AND $pb->isLogged()){
        if(!empty($_POST["save"])){
            if(empty($_GET["edit"]))
                $_GET["edit"] = time();

            $pb->editEntry($_GET["edit"], $_POST["text"]);
            if (!$pb->writeDatas())
                die("Impossible d'écrire dans  " . $pb->file);

            header("Location: " . $pb->getUrl() . "?" . $_GET["edit"]);
            exit;
        }
	
	include(PICOLO_ADMIN . "edit.php");
	exit;

     }

    // Identification si l'on essaye d'éditer sans être loggé
    elseif(isset($_GET["edit"]) AND $pb->isLogged()==false){
            echo '
            <form method="post" action="?login-edit">
                <p><label>Identifiant : <input type="text" name="login" /></label></p>
                <p><label>Mot de passe : <input type="password" name="password" /></label></p>
                <p><input type="submit" value="OK" class="submit" /></p>
	    ';
	    if(isset($_GET['selection']) && !empty($_GET['selection']))
		echo '<input type="hidden" name="selection" value="' . 
		$_GET['selection'] . '" />';
	    echo '</form>';

    }

    elseif (isset($_GET["login-edit"])){
        if ($pb->login($_POST["login"], $_POST["password"])){

	    $url = "?edit";

	    if(isset($_POST["selection"]))
		$url .= "&selection=" . $_POST["selection"];

            header("Location: " . $pb->getUrl() . $url);
            exit;
        }
        die("Connexion échouée !");
    }

    // Flux RSS
    elseif (isset($_GET['rss'])){
	include(PICOLO_CORE . "picoloFeed.php");
	exit;
    }

    // Une entrée sélectionnée
    elseif(!empty($_SERVER['QUERY_STRING']) && is_numeric($_SERVER['QUERY_STRING'])){
 	$id = $_SERVER['QUERY_STRING'];  
	include(PICOLO_THEME . "entry.php");
	exit; 
    }

    // Recherche
    elseif(isset($_GET['search']) && !empty($_GET['search'])) {
    	$page = 1;

        if (!empty($_SERVER['QUERY_STRING']) && preg_match('/^p([0-9]+)$/', $_SERVER['QUERY_STRING'], $match)){
            $page = (int) $match[1];
        }
        $begin = ($page - 1) * $pb->bypage;

        $list = $pb->getSearch($_GET['search']);

	include(PICOLO_THEME . "home.php");
	exit;
    }

    // Page d'accueil
    else {
    	$page = 1;

        if (!empty($_SERVER['QUERY_STRING']) && preg_match('/^p([0-9]+)$/', $_SERVER['QUERY_STRING'], $match)){
            $page = (int) $match[1];
        }
        $begin = ($page - 1) * $pb->bypage;

        $list = $pb->getList($begin);
	
	include(PICOLO_THEME . "home.php");
	exit;
    }

}

?>
